Subject: bug#31067: 27.0.50; After-string hidden by subsequent invisible text

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Apr 2018 16:38:05 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 05 Apr 2018 08:23:30 -0400
> 
> > IOW, the question is what should happen when the end-point of the
> > overlay with after-string is in invisible text?
> 
> If some (or all) of the end of the overlay-with-after-string is made
> invisible, then the situation is much less clear and I could see
> arguments either way, but if I get to choose then I think it makes sense
> to consider that the after string is "attached" to the end of the
> overlay, i.e. if the end of the overlay is invisible then so is the
> after-string.

But that's exactly what happens in your original example.

Btw, "some or all of the end" is a strange wording, because the end is
a (dimensionless) point.